View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001092aMuleMiscpublic2007-04-28 09:292007-05-03 18:13
ReporterCoronas 
Assigned ToKry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0001092: Compilation of amuled fails - wx/image.h: No such file or directory
DescriptionOn todays' tarball (20070428), the compilation of amuled seems fails. Maybe this is related to the geoip-stuff? The exact error msg:
if /usr/lib/ccache/bin/ccache powerpc-tuxbox-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/home/tux/dreambox/root/cdkroot/include -I/home/tux/dreambox/root/cdkroot/lib/wx/include/powerpc-tuxbox-linux-gnu-base-unicode-release-static-2.8 -I/home/tux/dreambox/root/cdkroot/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_LARGEFILE_SOURCE=1 -DwxUSE_GUI=0 -pthread -DwxUSE_GUI=0 -I./libs -Ilibs -DAMULE_INSTALL_PREFIX="\"\"" -DAMULE_LOCALEDIR="\"/share/locale\"" -DAMULE_DAEMON -mcpu=405 -msoft-float -mmultiple -mstring -meabi -pipe -Os -ggdb3 -DHAVE_DREAMBOX_HARDWARE -DUSE_EMBEDDED_CRYPTO -W -Wall -Wshadow -Wundef -O2 -DUSE_WX_EXTENSIONS -MT amuled-amule.o -MD -MP -MF ".deps/amuled-amule.Tpo" -c -o amuled-amule.o `test -f 'amule.cpp' || echo './'`amule.cpp; \
        then mv -f ".deps/amuled-amule.Tpo" ".deps/amuled-amule.Po"; else rm -f ".deps/amuled-amule.Tpo"; exit 1; fi
amule.cpp:48:22: wx/image.h: No such file or directory
Additional InformationConfigured with the following options:

                ./configure \
                        --build=i686-pc-linux-gnu \
                        --host=powerpc-tuxbox-linux-gnu \
                        --prefix= \
                        --enable-ccache \
                        --disable-debug \
                        --enable-optimize \
                        --disable-monolithic \
                        --enable-amule-daemon \
                        --enable-amulecmd \
                        --enable-webserver \
                        --disable-amule-gui \
                        --disable-cas \
                        --disable-wxcas \
                        --disable-alc \
                        --disable-alcc \
                        --enable-embedded-crypto \
                        --disable-upnp \
                        --disable-nls \
                        --with-denoise-level=0 \
                        --with-zlib=/home/tux/dreambox/root/cdkroot \
                        --with-gdlib-prefix=/home/tux/dreambox/root/cdkroot \
                        --with-libpng-prefix=/home/tux/dreambox/root/cdkroot \
                        --with-wx-prefix=/home/tux/dreambox/root/cdkroot \
                        --without-x && \
TagsNo tags attached.
Fixed in Revision
Operating Systemi586, crosscompiling for powerpc
Attached Files

- Relationships

-  Notes
(0002265)
Kry (manager)
2007-04-28 23:36

Fixed on current svn.
(0002269)
Coronas (reporter)
2007-05-01 07:43

Sorry, but the same error occurs with the 20070501 tarball
(0002271)
Coronas (reporter)
2007-05-01 08:23

This seems to fix the issue.

diff -Naur amule-cvs/src/amule.cpp amule-cvs.new/src/amule.cpp
--- amule-cvs/src/amule.cpp 2007-04-29 19:24:07.000000000 +0100
+++ amule-cvs.new/src/amule.cpp 2007-05-01 07:01:54.085425530 +0100
@@ -45,7 +45,6 @@
 #include <wx/cmdline.h> // Needed for wxCmdLineParser
 #include <wx/config.h> // Do_not_auto_remove (win32)
 #include <wx/fileconf.h>
-#include <wx/image.h>
 #include <wx/snglinst.h>
 #include <wx/tokenzr.h>
 #include <wx/wfstream.h>
@@ -95,6 +94,7 @@
         #include <wx/mac/corefoundation/cfstring.h> // Do_not_auto_remove
     #endif
     #include <wx/msgdlg.h>
+ #include <wx/image.h>
 #endif
(0002272)
Kry (manager)
2007-05-03 18:13

Yeah, amusingly, someone added a gui include in a core file AFTER I removed it for my ip2country changes.

Go figure. Should be ok now, you don't even need to inlude it elsewhere, it's not needed. Feel free to reopen if needed.

- Issue History
Date Modified Username Field Change
2007-04-28 09:29 Coronas New Issue
2007-04-28 09:29 Coronas Operating System => i586, crosscompiling for powerpc
2007-04-28 23:35 Kry Status new => assigned
2007-04-28 23:35 Kry Assigned To => Kry
2007-04-28 23:36 Kry Status assigned => resolved
2007-04-28 23:36 Kry Resolution open => fixed
2007-04-28 23:36 Kry Note Added: 0002265
2007-05-01 07:43 Coronas Status resolved => feedback
2007-05-01 07:43 Coronas Resolution fixed => reopened
2007-05-01 07:43 Coronas Note Added: 0002269
2007-05-01 07:43 Coronas Note Added: 0002270
2007-05-01 07:45 Coronas Note Deleted: 0002270
2007-05-01 08:23 Coronas Note Added: 0002271
2007-05-03 18:13 Kry Status feedback => resolved
2007-05-03 18:13 Kry Fixed in Version => SVN
2007-05-03 18:13 Kry Resolution reopened => fixed
2007-05-03 18:13 Kry Note Added: 0002272


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker